curl --request POST \
--url https://api.hubapi.com/commerce/price-books/2026-09/price-books/{priceBookId}/items/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"productId": "<string>"
}
]
}
'import requests
url = "https://api.hubapi.com/commerce/price-books/2026-09/price-books/{priceBookId}/items/batch/create"
payload = { "inputs": [{ "productId": "<string>" }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{productId: '<string>'}]})
};
fetch('https://api.hubapi.com/commerce/price-books/2026-09/price-books/{priceBookId}/items/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"customProperties": {},
"id": "<string>",
"productId": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"billingFrequency": "ANNUALLY",
"billingPeriod": "<string>",
"costOfGoodsSold": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"images": "<string>",
"name": "<string>",
"priceBookId": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": 123,
"maxQuantity": 123
}
],
"pricingModel": "FLAT"
},
"productClassification": "BUNDLE",
"productType": "INVENTORY",
"recurringBillingTerms": "AUTOMATICALLY_RENEW",
"sku": "<string>",
"status": "active",
"taxCategory": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"customProperties": {},
"id": "<string>",
"productId": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"billingFrequency": "ANNUALLY",
"billingPeriod": "<string>",
"costOfGoodsSold": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"images": "<string>",
"name": "<string>",
"priceBookId": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": 123,
"maxQuantity": 123
}
],
"pricingModel": "FLAT"
},
"productClassification": "BUNDLE",
"productType": "INVENTORY",
"recurringBillingTerms": "AUTOMATICALLY_RENEW",
"sku": "<string>",
"status": "active",
"taxCategory": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Add products to a price book
Crea varios elementos en un catálogo de precios específico en una sola operación por lotes. Este punto de conexión es útil para añadir de forma eficiente un gran número de elementos a un catálogo de precios, lo que reduce la necesidad de varias solicitudes individuales. La operación devuelve una respuesta por lotes que indica el éxito o el fracaso de la creación de cada elemento.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Parámetros de ruta
El identificador único del catálogo de precios al que se agregarán los elementos.
Cuerpo
Un conjunto de objetos PriceBookAddProductRequest, cada uno de los cuales representa un producto que se añadirá al catálogo de precios. Esta propiedad es obligatoria.
Show child attributes
Show child attributes
Respuesta
successful operation
La fecha y hora en que se completó la operación por lotes, en formato ISO 8601.
Una matriz de objetos PriceBookItemResponse que representan los resultados individuales de la operación por lotes.
Show child attributes
Show child attributes
La fecha y la hora en que comenzó la operación por lotes, en formato ISO 8601.
El estado actual de la operación por lotes. Los valores válidos son "PENDING", "PROCESSING", "CANCELED" y "COMPLETE".
CANCELED, COMPLETE, PENDING, PROCESSING Un mapa de nombres de enlaces a URI asociados que proporciona información o acciones adicionales relacionadas con la operación por lotes.
Show child attributes
Show child attributes
La fecha y la hora en que se solicitó la operación por lotes, en formato ISO 8601.